apiVersion: v1
kind: Service
metadata:
  name: {{ include "piveau-hub-search.fullname" . }}
  labels:
    {{- include "piveau-hub-search.labels" . | nindent 4 }}
spec:
  ports:
    - port: {{ .Values.service.port }}
      targetPort: default
      protocol: TCP
      name: http
    - port: 8081
      targetPort: http-shell
      protocol: TCP
      name: http-shell
    - port: 5000
      targetPort: telnet-shell
      protocol: TCP
      name: telnet-shell
  selector:
    {{- include "piveau-hub-search.selectorLabels" . | nindent 4 }}
